part of pdf;

///Specifies the alignment type.
enum PdfGridImagePosition {
  /// To fit background image to the cell based on the cell with and height.
  fit,

  /// The image is rendered by center of the cell.
  center,

  /// The image is stretched by the percentages required
  /// to fit the width and height of the cell.
  stretch,

  /// The imag is rendered by tile mode.
  tile
}

enum _PdfGridStretchOption {
  /// The content is resized to fill the destination dimensions.
  /// The aspect ratio is not preserved.
  fill,

  /// The content is resized to fit in the destination dimensions,
  /// while it preserves its native aspect ratio.
  uniform,

  /// The content is resized to fill the destination dimensions,
  /// while it preserves its native aspect ratio.
  /// If the aspect ratio of the destination rectangle differs from the source,
  /// the source content is clipped to fit in the destination dimensions.
  uniformToFill,

  /// The content preserves its original size.
  none
}

/// Describe the possible values of [PdfHorizontalOverflowType].
/// If a grid is drawn which doesn't fits within a single page,
/// it will be splited to several pages.
enum PdfHorizontalOverflowType {
  /// Draws the overflowing grid as next page
  nextPage,

  /// Draws the overflowing grid as last page
  lastPage
}

/// Specifies the values of the border overlap style.
enum PdfBorderOverlapStyle {
  /// Cell borders overlap (are drawn using the same coordinates).
  overlap,

  /// Cell borders are drawn in the cell's interior.
  inside,
}
